RDM::Controller Class Reference

The Controller class. More...

`#include <controller.h>`

Inheritance diagram for RDM::Controller:
[legend]

## Public Member Functions

| Controller ()
| Controller::Controller.
| ~Controller ()
| Controller::~Controller.
bool | findDevices (uint64_t lowerBound=0, uint64_t upperBound=0xFFFFFFFFFFFE) const
| Controller::findDevices. More...

## Protected Member Functions

bool | quick_find (const UID &uid, uint64_t lowerBound, uint64_t upperBound) const
| Controller::quick_find. More...
virtual void | rxDiscoveryResponse (const MsgPtr message)
| Controller::rxDiscoveryResponse. More...
virtual void | rxGetResponse (const MsgPtr message)
| Controller::rxGetResponse. More...
virtual void | rxSetResponse (const MsgPtr message)
| Controller::rxSetResponse. More...

## Detailed Description

The Controller class.

## Member Function Documentation

## findDevices()

bool RDM::Controller::findDevices | ( | uint64_t | lowerBound = `0`,
|  | uint64_t | upperBound = `0xFFFFFFFFFFFE`
| ) |  | const

Controller::findDevices.

Parameters

  lowerBound |
  upperBound |

Returns

we have called to the lowest branch and are testing for a single device.

look for a lower branch with active devices.

choose next branches to test

## quick_find()

bool RDM::Controller::quick_find | ( | const UID & | uid,
|  | uint64_t | lowerBound,
|  | uint64_t | upperBound
| ) |  | const

protected

Controller::quick_find.

Parameters

  uid |
  lowerBound |
  upperBound |

Returns

The call to this sub-function should be removed during full discovery testing as it can mask other problems in the discovery implementation.

This sub-function can speed up discovery when there is only one device in the current branch by eliminating the need to fully branch to the lowest level of the discovery tree.

verify there is no other devices in this branch.

## rxDiscoveryResponse()

void RDM::Controller::rxDiscoveryResponse | ( | const MsgPtr | message | ) |

protectedvirtual

Controller::rxDiscoveryResponse.

Parameters

  message |

## rxGetResponse()

void RDM::Controller::rxGetResponse | ( | const MsgPtr | message | ) |

protectedvirtual

Controller::rxGetResponse.

Parameters

  message |

## rxSetResponse()

void RDM::Controller::rxSetResponse | ( | const MsgPtr | message | ) |

protectedvirtual

Controller::rxSetResponse.

Parameters

  message |

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdm/controller.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdm/controller.cpp